#
# spec file for package hermes
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


# The build here opts to use cmake and ninja directly instead of py tool:
# https://hermesengine.dev/docs/building-and-running
Name:           hermes
Version:        0.12.0
Release:        0
Summary:        A small JavaScript engine
License:        MIT
URL:            https://hermesengine.dev
Source:         https://github.com/facebook/hermes/archive/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.xz
Source88:       hermes-rpmlintrc
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  libicu-devel
BuildRequires:  ninja
BuildRequires:  zip

%package -n hermes-devel
Summary:        Hermes development headers

%description -n hermes-devel
Hermes JavaScript engine development headers

%description
Hermes is a JavaScript engine optimized for running React Native
on Android.

%prep
%autosetup
%cmake -G Ninja

%build
%ninja_build -C build

%install
%ninja_install -C build
# remove empty dirs
rm -fr %{buildroot}%{_datadir}

%files
%license LICENSE
%doc README.md
%{_bindir}/hermes
%{_bindir}/hermesc
%{_bindir}/hdb
%{_bindir}/hbcdump
%{_bindir}/hvm
%{_prefix}/lib/libhermes.so

%files devel
%{_includedir}/hermes
%{_includedir}/jsi

%changelog
